.TH arena "" "" Definition
.PC
.PP
An
.I arena
is the area of memory that is available for a program
to allocate dynamically at run time.
It is divided into
.I allocated
and
.I unallocated
blocks.
The unallocated blocks together form the \*(QLfree-memory pool\*(QR.
.PP
To allocate a portion of the arena, use any of the functions
.BR malloc() ,
.BR calloc() ,
or
.BR realloc() .
To return an allocated portion of memory to the free-memory pool, use the
function
.BR free() .
To check whether a given portion of the arena is already allocated, use the
function
.BR notmem() .
To check whether the arena has been corrupted, use the function
.BR memok() .
.SH "See Also"
.Xr calloc(), calloc
.Xr free(), free
.Xr malloc(), malloc
.Xr memok(), memok
.Xr notmem(), notmem
.Xr "Programming COHERENT," programmi
.Xr realloc() realloc
